> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.fortresstech.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.fortresstech.io/_mcp/server.

# Update Prospect

PUT https://api.fortresstech.io/v1/prospects/{prospectId}
Content-Type: application/json

Available by RequestUpdate an existing prospect's contact details, housing preferences, or referral source.
Only the fields included in the request body are modified.This endpoint is part of our evolving API ecosystem.
To explore availability for your integration, please contact our team.

Reference: https://developer.fortresstech.io/api-reference/prospects/update-prospect

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `prospectId` (string, required) — The id of the prospect

### Body (application/json)

This endpoint expects a ProspectUpdate.

- `firstName` (string, optional)
- `middleName` (string, optional)
- `lastName` (string, optional)
- `preferredName` (string, optional)
- `phone` (string, optional) — The 10-digit primary phone number of the prospect.
- `email` (string, optional) — The primary email address of the prospect.
- `numBeds` (integer, optional)
- `numBaths` (integer, optional)
- `minPrice` (integer, optional)
- `maxPrice` (integer, optional)
- `moveInStart` (datetime, optional)
- `introductoryNote` (string, optional)
- `referralTypeId` (string, optional)

## Response

### 200

The updated prospect

- `id` (string, optional)
- `propertyId` (string, optional)
- `organizationId` (string, optional)
- `firstName` (string, optional)
- `middleName` (string, optional)
- `lastName` (string, optional)
- `preferredName` (string, optional)
- `email` (string, optional)
- `phone` (string, optional)
- `referralSource` (string, optional, nullable)
- `preferences` (ProspectsProspectIdPutResponsesContentApplicationJsonSchemaPreferences, optional, nullable)
- `idempotencyId` (string, optional, nullable)
- `readableId` (string, optional, nullable)
- `createdAt` (datetime, optional)
- `updatedAt` (datetime, optional)

## Types

### ProspectsProspectIdPutResponsesContentApplicationJsonSchemaPreferences

- `numBeds` (integer, optional)
- `numBaths` (integer, optional)
- `minPrice` (integer, optional)
- `maxPrice` (integer, optional)
- `moveInStart` (datetime, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "id": "string",
  "propertyId": "string",
  "organizationId": "string",
  "firstName": "string",
  "middleName": "string",
  "lastName": "string",
  "preferredName": "string",
  "email": "string",
  "phone": "string",
  "referralSource": "string",
  "preferences": {
    "numBeds": 1,
    "numBaths": 1,
    "minPrice": 1,
    "maxPrice": 1,
    "moveInStart": "2024-01-15T09:30:00Z"
  },
  "idempotencyId": "string",
  "readableId": "string",
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-01-15T09:30:00Z"
}
```

**SDK Code**

```python
import requests

url = "https://api.fortresstech.io/v1/prospects/prospectId"

payload = {}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.fortresstech.io/v1/prospects/prospectId';
const options = {
  method: 'PUT',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.fortresstech.io/v1/prospects/prospectId"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.fortresstech.io/v1/prospects/prospectId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.fortresstech.io/v1/prospects/prospectId")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.fortresstech.io/v1/prospects/prospectId', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.fortresstech.io/v1/prospects/prospectId");
var request = new RestRequest(Method.PUT);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.fortresstech.io/v1/prospects/prospectId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```